
//
//  FMOneScrollViewViewController.m
//  FMNewProject
//
//  Created by LBS_ios1 on 2017/12/28.
//  Copyright © 2017年 http://www.jianshu.com/u/8acc5c21e350. All rights reserved.
//

#import "FMOneScrollViewViewController.h"

@interface FMOneScrollViewViewController ()<UIScrollViewDelegate,FMHeaderNewScrollViewDelegate>
@property(nonatomic,strong)UIScrollView *scrollView;
@property(nonatomic,strong)FMHeaderNewScrollView *HeaderNewView;

@property(nonatomic,strong)FMOneViewController *OneView;
@property(nonatomic,strong)FMTwoViewController *TwoView;
@property(nonatomic,strong)FMThirdViewController *ThirdView;
@property(nonatomic,strong)FMForthViewController *ForthView;
@property(nonatomic,strong)FMFiveViewController *FiveView;
@property(nonatomic,strong)FMSixViewController *SixView;






@end

@implementation FMOneScrollViewViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    
    self.view.backgroundColor=[UIColor whiteColor];
    
    
    
    [self.view addSubview:self.HeaderNewView];
    [self.view addSubview:self.scrollView];
    
}

#pragma mark ====
-(FMOneViewController *)OneView
{
    if (!_OneView) {
        _OneView=[[FMOneViewController alloc]init];
        _OneView.view.frame=CGRectMake(0, 0, YHScreenWith, self.scrollView.YHheight);
    }
    
    return _OneView;
}
#pragma mark ====
-(FMTwoViewController *)TwoView
{
    if (!_TwoView) {
        _TwoView=[[FMTwoViewController alloc]init];
        CGRect frame = _TwoView.view.frame;
        frame.origin.x = YHScreenWith ;
        _TwoView.view.frame = frame;
        
    }
    
    return _TwoView;
}
#pragma mark ====
-(FMThirdViewController *)ThirdView
{
    if (!_ThirdView) {
        _ThirdView=[[FMThirdViewController alloc]init];
        CGRect frame = _ThirdView.view.frame;
        frame.origin.x = YHScreenWith * 2;
        _ThirdView.view.frame = frame;
        
    }
    
    return _ThirdView;
}
#pragma mark ====
-(FMForthViewController *)ForthView
{
    if (!_ForthView) {
        _ForthView=[[FMForthViewController alloc]init];
        _ForthView.view.frame=CGRectMake(CGRectGetMaxX(self.ThirdView.view.frame), 0, YHScreenWith, self.scrollView.YHheight);
    }
    
    return _ForthView;
}
#pragma mark ====
-(FMFiveViewController *)FiveView
{
    if (!_FiveView) {
        _FiveView=[[FMFiveViewController alloc]init];
        _FiveView.view.frame=CGRectMake(CGRectGetMaxX(self.ForthView.view.frame), 0, YHScreenWith, self.scrollView.YHheight);
    }
    
    return _FiveView;
}
#pragma mark ====
-(FMSixViewController *)SixView
{
    if (!_SixView) {
        _SixView=[[FMSixViewController alloc]init];
        _SixView.view.frame=CGRectMake(CGRectGetMaxX(self.FiveView.view.frame), 0, YHScreenWith, self.scrollView.YHheight);
    }
    
    return _SixView;
}


#pragma mark ==== 头部按钮
-(FMHeaderNewScrollView *)HeaderNewView{
    if (!_HeaderNewView) {
        _HeaderNewView=[[FMHeaderNewScrollView alloc]initWithFrame:CGRectMake(0, kTopHeight, YHScreenWith, 50)];
        _HeaderNewView.backgroundColor=[UIColor whiteColor];
        _HeaderNewView.delegate=self;
    }
    return _HeaderNewView;
}
-(void)selectShowButtonWith:(NSInteger)index
{
    self.scrollView.contentOffset=CGPointMake(YHScreenWith*index, 0);
    
    [self setShowScrollViewControllerWith:index];
    
    
}


-(UIScrollView *)scrollView
{
    if (!_scrollView) {
        _scrollView=[[UIScrollView alloc]init];
        _scrollView.frame=CGRectMake(0, CGRectGetMaxY(self.HeaderNewView.frame), YHScreenWith, YHScreenHeight-CGRectGetMaxY(self.HeaderNewView.frame));
        _scrollView.contentSize=CGSizeMake(YHScreenWith*6, 0);
        
        _scrollView.delegate=self;
        _scrollView.bounces = NO;
        _scrollView.backgroundColor=[UIColor yellowColor];
        _scrollView.pagingEnabled=YES;
        _scrollView.showsHorizontalScrollIndicator=NO;
        
        
        [_scrollView addSubview:self.OneView.view];
        [self addChildViewController:self.OneView];
        
    }
    return _scrollView;
}
-(void)scrollViewDidScroll:(UIScrollView *)scrollView
{
    
}

-(void)scrollViewDidEndDecelerating:(UIScrollView *)scrollView
{
    
    
    if (scrollView == self.scrollView) {
        NSInteger index=scrollView.contentOffset.x/YHScreenWith;
        
        [self setShowScrollViewControllerWith:index];
        
        self.HeaderNewView.integer=index;
    }
}

-(void)setShowScrollViewControllerWith:(showSelectButtonType)type
{
    
    switch (type) {
        case showSelectButtonType_one:
            [self addControllViews:self.OneView];
            
            break;
        case showSelectButtonType_two:
            [self addControllViews:self.TwoView];
            
            break;
        case showSelectButtonType_third:
            [self addControllViews:self.ThirdView];
            
            break;
        case showSelectButtonType_forth:
            [self addControllViews:self.ForthView];
            
            break;
        case showSelectButtonType_five:
            [self addControllViews:self.FiveView];
            
            break;
        case showSelectButtonType_six:
            [self addControllViews:self.SixView];
            
            break;
            
        default:
            break;
    }
    
    
}

#pragma mark ==== 添加视图控制器上的view
- (void)addControllViews:(UIViewController *)VC
{
    if (!VC.view.superview) {
        [self.scrollView addSubview:VC.view];
        
        
        [self addChildViewController:VC];
    }
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
