
//
//  FMNewSrollewViewController.m
//  FMNewProject
//
//  Created by LBS_ios1 on 2017/12/28.
//  Copyright © 2017年 http://www.jianshu.com/u/8acc5c21e350. All rights reserved.
//

#import "FMNewSrollewViewController.h"

@interface FMNewSrollewViewController ()

@end

@implementation FMNewSrollewViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    
    self.view.backgroundColor=[UIColor whiteColor];
    
    
    
    
    
    
    [self creatDifferentActionButton];
    
}

#pragma mark ====  显示不同功能的button
-(void)creatDifferentActionButton
{
    
    UIView *viewBack=[[UIView alloc]init];
    viewBack.backgroundColor=[UIColor clearColor];
    
    
    
    NSMutableArray *array=[[NSMutableArray alloc]init];
    
    NSArray *titleArray=@[@"固定的内容",@"居中",@"两边居中"];
    
    for (int i=0; i<titleArray.count; i++) {
        UIButton *button=[UIButton buttonWithType:UIButtonTypeCustom];
        button.backgroundColor=[UIColor greenColor];
        button.tag=i+1;
        [button setTitle:[NSString stringWithFormat:@"%@",titleArray[i]] forState:UIControlStateNormal];
        [button setTitleColor:[UIColor redColor] forState:UIControlStateNormal];
        [button addTarget:self action:@selector(onButtonClick:) forControlEvents:UIControlEventTouchUpInside];
        
        [viewBack addSubview:button];
        
        [array addObject:button];
    }
    //水平方向宽度固定等间隔
    [array mas_distributeViewsAlongAxis:MASAxisTypeVertical withFixedItemLength:30 leadSpacing:0 tailSpacing:10];
    [array mas_makeConstraints:^(MASConstraintMaker *make) { //数组额你不必须都是view
        make.right.mas_equalTo(0);
        make.width.mas_equalTo(140);
    }];
    
    [self.view addSubview:viewBack];
    
    [viewBack mas_makeConstraints:^(MASConstraintMaker *make) {
        make.left.mas_equalTo(30);
        make.top.mas_equalTo(150);
        make.size.mas_equalTo(CGSizeMake(140, 200));
        
    }];
    
    
    
}
-(void)onButtonClick:(UIButton *)button
{
    UIViewController *VC=nil;
    switch (button.tag) {
        case 1:
            VC= [[FMOneScrollViewViewController alloc]init];
            
            break;
        case 2:
            VC= [[FMTwoScrollViewViewController alloc]init];

            break;
        case 3:
            VC= [[FMThirdScrollViewViewController alloc]init];

            break;
            
        default:
            break;
    }
    
    [self.navigationController pushViewController:VC animated:YES];
    
    
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
