//
//  UIView+FramView.m
//  FMNewProject
//
//  Created by LBS_ios1 on 2017/12/28.
//  Copyright © 2017年 http://www.jianshu.com/u/8acc5c21e350. All rights reserved.
//

#import "UIView+FramView.h"

@implementation UIView (FramView)
-(CGFloat)y
{
    return self.frame.origin.y;
    
}
-(void)setY:(CGFloat)y
{
    CGRect frame= self.frame;
    frame.origin.y=y;
    self.frame=frame;
}

-(CGFloat)x
{
    return self.frame.origin.x;
}


-(void)setX:(CGFloat)x
{
    CGRect frame= self.frame;
    
    frame.origin.x=x;
    
    self.frame=frame;
    
}
-(CGFloat)width
{
    return self.frame.size.width;
    
}
-(void)setWidth:(CGFloat)width
{
    CGRect frame=self.frame;
    
    frame.size.width=width;
    
    self.frame=frame;
    
    
}

-(CGFloat)YHheight
{
    return self.frame.size.height;
}

-(void)setYHheight:(CGFloat)YHheight
{
    CGRect frame = self.frame;
    
    frame.size.height=YHheight;
    
    
    self.frame =frame;
    
}
-(CGFloat)maxX
{
    return CGRectGetMaxX(self.frame);
    
}

-(void)setMaxX:(CGFloat)maxX
{
    CGRect frame=self.frame;
    
    frame.origin.x=maxX=self.width;
    
    self.frame =frame;
    
}

-(CGFloat)maxY
{
    
    return CGRectGetMaxY(self.frame);
}
-(void)setMaxY:(CGFloat)maxY
{
    
    CGRect frame=self.frame;
    
    frame.origin.y=maxY-self.YHheight;
    self.frame=frame;
}

-(CGFloat)centerY
{
    return self.center.y;
    
}
-(void)setCenterY:(CGFloat)centerY
{
    CGPoint point=self.center;
    
    point.y=centerY;
    
    self.center=point;
    
}


-(CGFloat)centerX{
    
    return self.center.x;
}
-(void)setCenterX:(CGFloat)centerX
{
    CGPoint point= self.center;
    
    point.x=centerX;
    
    self.center=point;
    
    
}
-(void)setYh_size:(CGSize)yh_size {
    CGRect frame = self.frame;
    frame.size = yh_size;
    self.frame = frame;
}



@end
